Skip to content
Proud to collaborate with Microsoft for Startups

docusign.billing-plans.put-purchased-envelopes ​

Reserved: At this time, this endpoint is limited to Docusign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor.

Reserved: Purchase additional envelopes.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
amountstringNo—The total amount of the purchase.
appnamestringNo—The AppName of the client application.
currencycodestringNo—Specifies the ISO 4217 currency code of the purchase.
platformstringNo—The Platform of the client application
productidstringNo—The Product ID from the AppStore.
quantitystringNo—The quantity of envelopes to add to the account.
receiptdatastringNo—The encrypted Base64 encoded receipt data.
storenamestringNo—The name of the AppStore.
transactionidstringNo—Specifies the Transaction ID from the AppStore.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
amountstringNo—The total amount of the purchase.
appnamestringNo—The AppName of the client application.
currencycodestringNo—Specifies the ISO 4217 currency code of the purchase.
platformstringNo—The Platform of the client application
productidstringNo—The Product ID from the AppStore.
quantitystringNo—The quantity of envelopes to add to the account.
receiptdatastringNo—The encrypted Base64 encoded receipt data.
storenamestringNo—The name of the AppStore.
transactionidstringNo—Specifies the Transaction ID from the AppStore.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/billing_plan/purchased_envelopes
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/billing_plan/purchased_envelopes
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.billing-plans.put-purchased-envelopes",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}